Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TexCoord2 Class Reference

二次元テクスチャ座標 More...

`#include <TexCoord2.h>`

List of all members.

## Public Member Functions
| TexCoord2 ()
| コンストラクタ
| TexCoord2 (float sourceU, float sourceV)
| コンストラクタ
| TexCoord2 (const float *const source)
| コンストラクタ
void | set (float sourceU, float sourceV)
| 値の設定
void | set (const float *const source)
| 値の設定
TexCoord2 | operator+ (const TexCoord2 &addCoord) const
| 加算
TexCoord2 | operator- (const TexCoord2 &subCoord) const
| 減算
TexCoord2 | operator * (float mulValue) const
| 乗算
TexCoord2 | operator+ () const
| +演算子
TexCoord2 | operator- () const
| -演算子
TexCoord2 & | operator+= (const TexCoord2 &addCoord)
| 代入加算
TexCoord2 & | operator-= (const TexCoord2 &subCoord)
| 代入減算
TexCoord2 & | operator *= (float mulValue)
| 代入乗算
bool | operator== (const TexCoord2 &target) const
| 二次元テクスチャ座標が同じかどうか
bool | epsilonEquals (const TexCoord2 &target, float epsilon) const
| 二次元テクスチャ座標が同じかどうか
bool | operator!= (const TexCoord2 &target) const
| 二次元テクスチャ座標が同じでないかどうか
bool | notEpsilonEquals (const TexCoord2 &target, float epsilon) const
| 二次元テクスチャ座標が同じでないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const TexCoord2 | zero
| ゼロ座標
const TexCoord2 | unit
| 単位座標
const TexCoord2 | unitU
| U単位座標.
const TexCoord2 | unitV
| V単位座標.
## Friends
TexCoord2 | operator * (float mulValue, const TexCoord2 &mulCoord)
| 乗算

## Detailed Description

二次元テクスチャ座標

このクラスは継承しないで下さい。

Definition at line 39 of file TexCoord2.h.

## Constructor & Destructor Documentation

Lamp::TexCoord2::TexCoord2 | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 81 of file TexCoord2.h. Referenced by operator *(), operator+(), and operator-().

Lamp::TexCoord2::TexCoord2 | ( | float | sourceU,
|  | float | sourceV
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceU | Uの初期値
  sourceV | Vの初期値
Definition at line 88 of file TexCoord2.h. References u, and v.

Lamp::TexCoord2::TexCoord2 | ( | const float *const | source | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  source | 初期値配列
Definition at line 96 of file TexCoord2.h. References u, and v.

## Member Function Documentation

bool Lamp::TexCoord2::epsilonEquals | ( | const TexCoord2 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 二次元テクスチャ座標が同じかどうか Parameters:
  target | 比較する二次元テクスチャ座標
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 229 of file TexCoord2.h. References Assert, u, and v.

bool Lamp::TexCoord2::notEpsilonEquals | ( | const TexCoord2 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 二次元テクスチャ座標が同じでないかどうか Parameters:
  target | 比較する二次元テクスチャ座標
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 252 of file TexCoord2.h. References Assert, u, and v.

TexCoord2 Lamp::TexCoord2::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された二次元テクスチャ座標 Definition at line 148 of file TexCoord2.h. References TexCoord2(), u, and v.

TexCoord2& Lamp::TexCoord2::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された二次元テクスチャ座標 Definition at line 205 of file TexCoord2.h. References u, and v.

bool Lamp::TexCoord2::operator!= | ( | const TexCoord2 & | target | ) | const`[inline]`

  | 二次元テクスチャ座標が同じでないかどうか Parameters:
  target | 比較する二次元テクスチャ座標
Returns: 同じでない値であればtrueを返す Definition at line 242 of file TexCoord2.h. References u, and v.

TexCoord2 Lamp::TexCoord2::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: 二次元テクスチャ座標のコピー Definition at line 167 of file TexCoord2.h.

TexCoord2 Lamp::TexCoord2::operator+ | ( | const TexCoord2 & | addCoord | ) | const`[inline]`

  | 加算 Parameters:
  addCoord | 加算する二次元テクスチャ座標
Returns: 加算された二次元テクスチャ座標 Definition at line 130 of file TexCoord2.h. References TexCoord2(), u, and v.

TexCoord2& Lamp::TexCoord2::operator+= | ( | const TexCoord2 & | addCoord | ) | `[inline]`

  | 代入加算 Parameters:
  addCoord | 加算する二次元テクスチャ座標
Returns: 加算された二次元テクスチャ座標 Definition at line 183 of file TexCoord2.h. References u, and v.

TexCoord2 Lamp::TexCoord2::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転した二次元テクスチャ座標 Definition at line 173 of file TexCoord2.h. References TexCoord2(), u, and v.

TexCoord2 Lamp::TexCoord2::operator- | ( | const TexCoord2 & | subCoord | ) | const`[inline]`

  | 減算 Parameters:
  subCoord | 減算する二次元テクスチャ座標
Returns: 減算された二次元テクスチャ座標 Definition at line 139 of file TexCoord2.h. References TexCoord2(), u, and v.

TexCoord2& Lamp::TexCoord2::operator-= | ( | const TexCoord2 & | subCoord | ) | `[inline]`

  | 代入減算 Parameters:
  subCoord | 減算する二次元テクスチャ座標
Returns: 減算された二次元テクスチャ座標 Definition at line 194 of file TexCoord2.h. References u, and v.

bool Lamp::TexCoord2::operator== | ( | const TexCoord2 & | target | ) | const`[inline]`

  | 二次元テクスチャ座標が同じかどうか Parameters:
  target | 比較する二次元テクスチャ座標
Returns: 同じ値であればtrueを返す Definition at line 219 of file TexCoord2.h. References u, and v.

void Lamp::TexCoord2::set | ( | const float *const | source | ) | `[inline]`

  | 値の設定 Parameters:
  source | 設定値配列
Definition at line 117 of file TexCoord2.h. References u, and v.

void Lamp::TexCoord2::set | ( | float | sourceU,
|  | float | sourceV
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceU | Uの設定値
  sourceV | Vの設定値
Definition at line 108 of file TexCoord2.h. References u, and v.

String Lamp::TexCoord2::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 二次元テクスチャ座標の文字列表記 Definition at line 267 of file TexCoord2.h. References Lamp::String::format(), u, and v.

## Friends And Related Function Documentation

TexCoord2 operator * | ( | float | mulValue,
|  | const TexCoord2 & | mulCoord
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulCoord | 乗算する二次元テクスチャ座標
Returns: 乗算された二次元テクスチャ座標 Definition at line 158 of file TexCoord2.h.

The documentation for this class was generated from the following files:

- TexCoord2.h
- TexCoord2.cpp